Skip to main content
GET
Get program-level category trigger status

Authorizations

X-Api-Key
string
header
required

Path Parameters

programId
string
required

Your unique identifier for the program

Maximum string length: 512

Response

Successful operation

Response containing the status of a category action trigger registration.

status
enum<string>

The current status of the action trigger registration. Category trigger registrations are processed synchronously, so the status is always one of:

  • succeeded: Registration complete, triggers are now active
  • failed: Registration failed, check your request and retry
Available options:
succeeded,
failed
Example:

"succeeded"

version
integer

The version number of this registration. Increments with each PUT, PATCH, or DELETE request to this scope.

Example:

1

categoryTriggers
object[]

The list of active category triggers registered for this scope. Present on GET responses; omitted on PUT and PATCH responses.

totalCount
integer

The total number of active category triggers registered for this scope. Present on GET responses; omitted on PUT and PATCH responses.

Example:

10